import { defineStore } from 'pinia';
import { ref, reactive } from 'vue'

export const useCanvasImgStore = defineStore('canvas_img', () => {
  const show_image = ref(null as unknown as HTMLImageElement);
  const res_image = ref(null as unknown as HTMLImageElement);
  const show_canvas = ref(null as unknown as HTMLCanvasElement);
  const hide_canvas = ref(null as unknown as HTMLCanvasElement);
  const input_file = ref(null as unknown as File)

  return { show_image, res_image, show_canvas, hide_canvas, input_file }
})